Package org.eclipse.emf.spi.cdo

# Class CDOSessionProtocol.UnlockObjectsResult

java.lang.Object
org.eclipse.emf.spi.cdo.CDOSessionProtocol.UnlockObjectsResult

Enclosing interface:
  `CDOSessionProtocol`

public static final class CDOSessionProtocol.UnlockObjectsResult extends Object
If the meaning of this type isn't clear, there really should be more of a description here...

Since:
  4.1

## Constructor Summary

Constructors
Constructor
Description
`UnlockObjectsResult(long timestamp, List<CDOLockDelta> lockDeltas, List<CDOLockState> lockStates)`
`UnlockObjectsResult(CDOLockState[] newLockStates, long timestamp)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`List<CDOLockDelta>`
`getLockDeltas()`
`List<CDOLockState>`
`getLockStates()`
`CDOLockState[]`
`getNewLockStates()`
Deprecated.
As of 4.15 use `getLockStates()`.
`long`
`getTimestamp()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UnlockObjectsResult

public UnlockObjectsResult(long timestamp, List<CDOLockDelta> lockDeltas, List<CDOLockState> lockStates)

Since:
  4.15

### UnlockObjectsResult

@Deprecated public UnlockObjectsResult(CDOLockState[] newLockStates, long timestamp)
Deprecated.

## Method Details

### getTimestamp

public long getTimestamp()

### getLockDeltas

public List<CDOLockDelta> getLockDeltas()

Since:
  4.15

### getLockStates

public List<CDOLockState> getLockStates()

Since:
  4.15

### getNewLockStates

@Deprecated public CDOLockState[] getNewLockStates()
Deprecated.
As of 4.15 use `getLockStates()`.